Unit tqsj2r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSJ2R_p, QSJ2R_p;

function tqsj2r: String;

implementation

function tqsj2r: String;
var
N,IERR :Integer;
ALF,BTA,A,B,EPS,RINT :Real;
X :Array [0..511] of Real;
W :Array [0..511] of Real;
begin
Result := '';  {   }
ALF := 1.0;
BTA := ALF;
A := -1.0;
B := 1.0;
EPS := 1.E-5;
N := 2;
QSJ2R(RINT,A,B,ALF,BTA,FQSJ2R,N,EPS,IERR);
Result := Result +
Format('%20.16f %20.16f %20.16f %20.16f %20.16f %20.16f %5d %5d ',
 [A,B,ALF,BTA,EPS,RINT,N,IERR]) + #$0D#$0A;
UtRes('tqsj2r',Result);  {     tqsj2r.res }
exit;
end;

end.
